Invite new members to a team
/teams/{id}/inviteInvite new members (both existing & non measure users) to a team.
The email id of the user to be invited, team ID and role of the user to be invited must be passed in the request body. If an invited user does not have a measure account, they will get an invite email to sign up and will be added to the team post signup automatically. If the invited user already has a measure account, they will be added to the team immediately.
Authorization
bearerAuth User access token issued at sign-in. Sent as
Authorization: Bearer <access-token> unless cookies are used to send
tokens. The /auth/refresh and /auth/signout endpoints expect the
session's refresh token in the same header format instead.
In: header
Path Parameters
Team's UUID.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/teams/497f6eca-6276-4993-bfeb-53cbbbba6f08/invite" \ -H "Content-Type: application/json" \ -d '[ { "email": "newuser@gmail.com", "role": "admin", "teamId": "099f0f9b-5ee9-47de-a8aa-e996adc049c1" } ]'{ "ok": "invited newuser@gmail.com"}Think this page can be better?
Open an issue